<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/Widget.inc.php" );

	class RMPVideo extends Widget {
		protected $iWidth = 460;
		protected $iHeight = 300;
		protected $sFlv = "";

		public function __construct( $id = "RMPVideo" , $parent = null ) {
			parent::__construct( $id , $parent );
		}

		public function setWidth( $v ) { $this->iWidth = $v; }
		public function setHeight( $v ) { $this->iHeight = $v; }
		public function setFLV( $v ) { $this->sFlv = $v; }

		public function render() {
			$this->setParam( "width" , $this->iWidth );
			$this->setParam( "height" , $this->iHeight );
			$this->setParam( "flv" , urlencode( $this->sFlv ) );
			return parent::render();
		}

	}


?>
